/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2008.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: src/sgx/input/keyboard.cpp

*/

#include "sgx/core/core.hpp"
#include "sgx/input/input.hpp"

CSGXInputManager::CControllerKeyboard::CControllerKeyboard()
{
	reset();
}

void 
CSGXInputManager::CControllerKeyboard::reset()
{
	for(tMEM_SIZE i=0;i<SGX_MAXINP_KEYBOARD_KEYS;i++)
	{
		m_Key[i].reset();
	}
}

void 
CSGXInputManager::CControllerKeyboard::update(const tREAL32 telaps, CControllerKeyboard &result)
{
	sgxMemcpy(&result, this, sizeof(result));

	for(tMEM_SIZE i=0;i<SGX_MAXINP_KEYBOARD_KEYS;i++)
	{
		m_Key[i].update(telaps);
	}
}


